import { axios } from '@/utils/request'

// 供应商列表
export const partnerList = (params) => {
  const url = `/partner/query/${params.pageNo}/${params.pageSize}`
  delete params.pageNo
  delete params.pageSize
  return axios.request({
    url: url,
    data: params,
    method: 'post'
  })
}
// 供应商列表 - 不分页
export const partnerQueryList = (params) => {
  return axios.request({
    url: '/partner/queryList',
    data: {},
    method: 'post'
  })
}
// 保存供应商
export const partnerSave = (params) => {
  return axios.request({
    url: '/partner/save',
    data: params,
    method: 'post'
  })
}
// 供应商详情
export const partnerFind = (params) => {
  return axios.request({
    url: `/partner/findById/${params.id}`,
    method: 'get'
  })
}
// 供应商启禁用
export const partnerEnable = (params) => {
  return axios.request({
    url: `/partner/enable/${params.id}/${params.flag}`,
    method: 'get'
  })
}
